#ifndef MT_COLLISIONHEADER_H
#define MT_COLLISIONHEADER_H

#include <TObject.h>

#include "mtTypes.h"

class mtCollisionHeader
{
private:
  mtInt fId;
  mtInt fNin;
  mtInt fNout;
  mtInt fProcId;
public:
  mtCollisionHeader();
  virtual ~mtCollisionHeader();

  // Setters
  virtual void SetId(mtInt _a)        { fId = _a; }
  virtual void SetProcessId(mtInt _a) { fProcId = _a; }
  virtual void SetNin(mtInt _a)       { fNin = _a; }
  virtual void SetNout(mtInt _a)      { fNout = _a; }

  // Getters
  mtInt GetId()        const { return fId; }
  mtInt GetProcessId() const { return fProcId; }
  mtInt GetNin()       const { return fNin; }
  mtInt GetNout()      const { return fNout; }

  ClassDef(mtCollisionHeader,1);
};

#endif