#ifndef MT_EVENTHEADER_H
#define MT_EVENTHEADER_H

#include <Rtypes.h>
#include "mtTypes.h"

class mtEventHeader
{
private:
  mtInt fId;
  mtDouble fB;
  mtDouble fPhi;
public:
  mtEventHeader();
  virtual ~mtEventHeader();

  // Setters
  virtual void SetId(mtInt _a)     { fId = _a; }
  virtual void SetB(mtDouble _a)   { fB = _a; }
  virtual void SetPhi(mtDouble _a) { fPhi = _a; }

  // Getters
  mtInt    GetId()   const { return fId; }
  mtDouble GetB()    const { return fB; }
  mtDouble GetPhi()  const { return fPhi; }

  ClassDef(mtEventHeader,1);
};

#endif